in

Arch Linux deve implantar pacotes compactados Zstd

Objetivo é tornar instalações do Pacman mais rápidas.

Arch Linux deve implantar pacotes compactados Zstd

O próximo lançamento do Pacman 5.2 da distro Arch está trazendo suporte para a compactação de pacotes com o Zstd. Sendo assim, em última análise, isso fornecerá instalações de pacotes mais rápidas no Arch Linux. Portanto, o fato é que o Arch Linux deve implantar pacotes compactados Zstd.

Semelhante a outras distribuições Linux que começam a usar o algoritmo de compactação Zstd (Zstandard) do Facebook para uma compactação e descompactação mais rápida de pacotes, o Arch Linux está fazendo o mesmo.

Suas descobertas espelham as de outras pessoas ao permitir um desempenho mais rápido de compactação e descompactação com uma taxa de compactação semelhante para binários à do XZ.

Arch Linux deve implantar pacotes compactados Zstd tornar instalações do Pacman mais rápidas

Arch Linux deve implantar pacotes compactados Zstd

Com o Pacman 5.2, a compactação do pacote Zstd está sendo lançada para o Arch Linux. Então, em relação a isso, há um boletim hoje em que os usuários precisam de uma libarquiva no ano passado. Isso agilizará a instalação do pacote pacman, sem outras desvantagens.

Desde setembro de 2018 tem sido utilizada um libarchive no Arch Linux suportando o Zstd. No entanto, se por algum motivo você estiver executando uma instalação do Arch Linux com uma libarchive muito desatualizada, será necessário atualizar em breve para evitar problemas no futuro.

O lançamento iminente do pacman 5.2 traz ferramentas de construção com suporte para a compactação de pacotes zstd. Para instalar esses pacotes, você precisa do libarchive com suporte zstd, que entrou nos repositórios em setembro de 2018. Para que ospacotes zstd compactados sejam distribuídos, exigimos que todos os usuários tenham atualizado para, pelo menos, o libarchive 3.3.3-1 . Você teve um ano, então esperamos que você já tenha atualizado. Apresse-se se não tiver.

Se você usar scripts personalizados, verifique se eles não dependem de extensões de arquivo codificadas. A zstdextensão do arquivo do pacote será .pkg.tar.zst, diz o anúncio oficial.

Mais detalhes sobre este aviso via ArchLinux.org.

Via Phoronix

Escrito por Claylson Martins

Jornalista com pós graduações em Economia, Jornalismo Digital e Radiodifusão.

Chega o OpenBSD 6.6

Chega o OpenBSD 6.6

Fedora 31 vai atrasar lançamento por causa de bugs no DNF

Fedora 31 vai atrasar lançamento por causa de bugs no DNF